#graficos 

##### 
#exercicio 5.1 criacao de graficos 
esalig <- read.table("esalig.csv", header=T, sep=",", as.is=T)
dap <- esalig$dap
h <- esalig$ht
plot(h~dap)

#legendas dos eixos com nomes das variaveis e suas unidades
plot (h~dap, xlab="DAP - dimetro  altura do peito (cm)", ylab="Altura (m)")

#marcacoes do eixo (ticks) para dentro da area do grafico
plot(h~dap, tcl=0.3)

#apenas dois eixos
plot(h~dap, bty="l", tcl=0.3)

#titulo informativo

#tamanho das fontes maiores do que o padrao
par(cex=1.5)
plot (h~dap, bty="l", tcl=0.3, xlab="DAP - dimetro  altura do peito (cm)", ylab="Altura (m)", main="Relao entre DAP e altura")

#####
#exercicio 5.2 dois graficos juntos
#dap~talhao
#boxplot

#boxplot dap~talhao
dap <- esalig$dap
talhao <- esalig$talhao
boxplot(dap~talhao,ylim=c(5, 25), ylab="DAP - dimetro  altura do peito (cm)", xlab="Talho")

#segundo grafico - apenas a media e uma barra de desvio-padrao do dap para cada talhao
mean(talhao)
help(aggregate)
md <- aggregate(esalig$dap,by=list(esalig$talhao),FUN=mean)
m <- md$x
sd <- aggregate(esalig$dap,by=list(esalig$talhao),FUN=sd)
s <- sd$x

#grafico lado a lado
par(mfrow=c(1,2))
boxplot(dap~talhao,ylim=c(5, 25), ylab="DAP - dimetro  altura do peito (cm)", xlab="Talho")
a <- locator(1)
text(x=0.76, y=25.03, "a")
plot(md, ylim=c(5, 25), ylab="Mdia", xlab="Talho")
b <- locator(1)
text(x=16.65, y=25.03, "b")

#inserindo o desvio padrao
segments(x0=c(16, 17, 18, 22, 23, 32), y0= c(m-s), x1=c(16, 17, 18, 22, 23, 32), y1= c(m+s))

#####
#exercicio 5.3

x <- read.table("x.csv", header=T, sep=",", as.is=T)

#elementos do grafico
x1 <- x$x1
y1 <- x$y1
x2 <- x$x2
y2 <- x$y2

#grafico pch=17
x11()
par(mfrow=c(1,2),tcl=.5, bty="l", family="serif")
#plot 1
plot(y1~x1,pch=17,xlim=c(.5,2.25), ylim=c(0,3), xlab="Log(Patch size)(ha)", ylab="Euclidean distances", cex=1.2)
text(x=2.2,y= 3, "a")
segments(x0=0.5,x1=2.3, y0=2.05, y1=1, lwd=2)

#boxplot
boxplot(x2~y2, xaxt="n", ylim=c(0,3), tcl=0.3, outline=FALSE)

#para colocar os asteriscos
text(x=1,y= 3, "*", cex=1.5)
text(x=2,y= 3, "*", cex=1.5)
text(x=3,y= 3, "**", cex=1.5)
text(x=4,y= 3, "*", cex=1.5)
text(x=5,y= 3, "***", cex=1.5)
text(x=6,y= 3, "b")

